PUMP(1)

NAME
pump.io - stream server that does most of what people really want from a social network

SYNOPSIS
pump [ --config config_path | -c config_path ] [ --config_option config_value ]...

DESCRIPTION
I post something and my followers see it. That's the rough idea behind the pump. There's an API defined in the API.md file in the source. It uses activitystrea.ms JSON as the main data and command format. You can post almost anything that can be represented with activity streams -- short or long text, bookmarks, images, video, audio, events, geo checkins. You can follow friends, create lists of people, and so on. The software is useful for at least these scenarios: * Mobile-first social networking * Activity stream functionality for an existing app * Experimenting with social software It also comes with a web UI.

OPTIONS

--config, -c
    Path to JSON config file. Default is /etc/pump.io.json or ~/.pump.io.json

--help, -h
    Print help text and exit

--version, -v
    Print version information and exit

You can also pass configuration values as arguments starting with -- - for example, pump.io.json's port value can be set by passing --port. Camelcasing like urlPort should be replaced with - (i.e. urlPort becomes --url-port). Keys whose value is an object can be specified using . (period) to separate nested keys. For example, a pump.io.json with the following contents:
    { "params": { "host": "localhost" } }
can be set by passing --params.host localhost.

EXAMPLES
Run the server:
    pump
Run the server with a custom config location in `/etc/pump/config.json`:
    pump -c /etc/pump/config.json

ENVIRONMENT

NODE_ENVIRONMENT
    The environment pump.io is running in. This should be set to production in production environments or performance will be significantly degraded.

pump also accepts configuration values via environment variables. These are too numerous to list here, but the basic idea is to start with PUMPIO_ and append the capitalized configuration key you want to set. For example, the port key in your pump.io.json would translate to the environment variable PUMPIO_PORT. To configure camelcased config values like urlPort replace the camelcasing with _ (underscore). For example, urlPort would become PUMPIO_URL_PORT. Keys whose value is an object can be specified using __ to separate subkeys. For example, a pump.io.json with the following contents:
    { "params": { "host": "localhost" } }
can be represented by exporting PUMPIO_PARAMS__HOST with a value of localhost.

FILES
/etc/pump.io.json , ~/.pump.io.json - default configuration files. The latter overrides the former.

BUGS
Bugs are tracked in GitHub: https://github.com/pump-io/pump.io/issues .

AUTHOR
Written primarily by Evan Prodromou; enhanced and maintained by many contributors.

COPYRIGHT
Copyright © 2011-2017, E14N https://e14n.com/ and contributors Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.